@import url("https://fonts.cdnfonts.com/css/neue-haas-grotesk-display-pro");

* {
  margin: 0;
  padding: 0;
  font-family: "Neue Haas Grotesk Display Pro", sans-serif;
  user-select: none;
  display: border-box;
}

body {
  --color-primary: #0ff9dd;
  --color-secondary: #6a17f1;

  width: 100vw;
  height: auto;
  background-image: url(Stellenportal/images_stellenportal/paperwrap-background.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  overflow-x: hidden;
  scroll-behavior: smooth;
  font: normal normal normal 25px/29px Neue Haas Grotesk Display Pro;
  letter-spacing: 0px;
}

.actual:visited {
  color: #6a17f1;
}

/* Scrollbar */

::-webkit-scrollbar {
  width: 10px;
  /* display: none; */
}

::-webkit-scrollbar-track {
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 25px;
}

::-webkit-scrollbar-thumb {
  background: rgba(96, 96, 96, 0.8);
  border-radius: 100vw;
}

::-webkit-scrollbar-thumb:hover {
  background: rgba(96, 96, 96, 1);
  border-radius: 100vw;
}

::-webkit-scrollbar-thumb:active {
  background: rgba(96, 96, 96, 1);
  border-radius: 100vw;
}

nav {
  display: flex;
  justify-content: space-between;
}

/* Navigation */
.navcontainer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100vw;
  height: 100px;
  background: #00000099 0% 0% no-repeat padding-box;
}

.navlist {
  padding-right: 20px;
}

.navlist li {
  display: inline;
  list-style: none;
  padding-right: 45px;
}

.nav_logo {
  margin-right: auto;
  width: 4.938rem;
  height: 2.938rem;
  padding-top: 27px;
  padding-bottom: 27px;
  padding-left: 30px;
  cursor: pointer;
}

.navlist li a {
  text-decoration: none;
  text-align: center;
  font: normal normal normal 25px/29px Neue Haas Grotesk Display Pro;
  letter-spacing: 0px;
  color: var(--color-primary);
  font-size: 25px;
  font-weight: 500;
  transition: all 0.3s ease 0s;
}

.navlist li a:hover {
  color: var(--color-secondary);
}

.navlist li a:active {
  color: var(--color-secondary);
}

.actual:visited {
  color: var(--color-secondary);
}

/* Navbar Icons */

.icon_container {
  padding-right: 34.8px;
  padding-top: 32.14px;
}

.profile_icon {
  width: 28px;
  color: var(--color-primary);
  cursor: pointer;
  transition: all 0.3s ease 0s;
}

.profile_icon:hover {
  color: var(--color-secondary);
}

.profile_icon:visited {
  color: var(--color-secondary);
}

.profile_icon:active {
  color: var(--color-secondary);
}

.language_select {
  width: 28px;
  color: var(--color-primary);
  cursor: pointer;
  transition: all 0.3s ease 0s;
}

.language_select:hover {
  color: var(--color-secondary);
}

.language_select:visited {
  color: var(--color-secondary);
}

.language_select:active {
  color: var(--color-secondary);
}

.navcontainer .toggle_btn {
  color: white;
  font-size: 1.5rem;
  cursor: pointer;
  display: none;
}

.dropdown_menu {
  display: none;
  position: absolute;
  right: 2rem;
  top: 60px;
  width: 300px;
  height: 0;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(15px);
  border-radius: 10px;
  overflow: hidden;
  transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.dropdown_menu.open {
  height: auto;
}

.burger_menu {
  cursor: pointer;
  width: 24px;
  height: 24px;
}

.dropdown_menu li {
  list-style: none;
  padding: 0.7rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dropdown_menu a {
  text-decoration: none;
  color: var(--color-primary);
}

.profile_icon.burger,
.language_select.burger {
  width: 24px;
  height: 24px;
}

.burger_menu {
  display: none;
  align-items: center;
  justify-content: center;
  padding: 38px 45px;
}

.burger_menu:hover {
  color: var(--color-secondary);
}

/*Profil Dropdown*/

.sub_menu_wrap {
  position: absolute;
  top: 9%;
  right: 7%;
  width: 320px;
  max-height: 0px;
  overflow: hidden;
  transition: max-height 0.5s;
}

.sub_menu_wrap.open-menu {
  max-height: 400px;
}

.sub_menu {
  background: #222328;
  padding: 20px;
  margin: 10px;
}

.user_info {
  display: flex;
  align-items: center;
}

.user_info h5 {
  font-weight: bold;
  font-size: 20px;
  color: white;
}

.user_info img {
  width: 60px;
  margin-right: 15px
}

.sub_menu hr {
  border: 0;
  height: 1px;
  width: 100%;
  background: white;
  margin: 15px 0 10px;
}

.sub_menu_link {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--color-primary);
  margin: 12px 0;
}

.sub_menu_link p {
  width: 100%;
  color: var(--color-primary);
}

.sub_menu_link:hover p {
  font-weight: 600;
  color: var(--color-secondary);
}


/*Hero*/
.Hero-Img {
  width: 100%;
  height: 700px;
}
.White-Stripe {
  padding-top: 2rem;
  background-color: #fff;
  padding-bottom: 2rem;
}
.White-Stripe-Logos {
  display: flex;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  align-items: center;
  justify-content: center;
  gap: 8rem;
}
.Ingram {
  height: 37px;
}
.btn-center {
  font-family: "neue Grotesk Display Pro", sans-serif;
  font-weight: bold;
  font-size: 1em;
  letter-spacing: 0.1em;
  text-decoration: none;
  color: #ffff;
  display: inline-block;
  padding: 10px 40px 10px 40px;
  position: relative;
  border: 3px solid #0ff9dd;
  border-radius: 20px;
}

.btn-center:hover {
  color: #6a17f1;
  border: 3px solid #6a17f1;
  scale: 90%;
}

.btn-list {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 200px;
  
  list-style: none;
}

.Branchen {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 4rem;
  align-items: center;
  justify-content: center;
  padding-left: 6rem;
  margin-bottom: 8rem;
}
.Branchenkarte-Inhalt {
  display: grid;
  place-items: center;
  padding-top: 6rem;
}
.Branchenkarte-Inhalt img {
  padding-bottom: 4rem;
}
.Branchenkarte-Inhalt h3 {
  padding-bottom: 1rem;
}
.Branchenkarte {
  border: 4px solid #0ff9dd;
  border-radius: 42px;
  width: 454px;
  height: 337px;
}
.Branchenkarte h3 {
  color: #0ff9dd;
}
.Branchenkarte p {
  color: #fff;
  font-size: 25px;
}
.Seitenzahl {
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
.Seitennummer {
  border: 4px solid #0ff9dd;
  border-radius: 15px;
  padding: 10px 15px 10px 15px;
}
.Seiten-Auswahl {
  margin-bottom: 10rem;
}
.footer-grid {
  display: grid;
  grid-template-columns: 639.33px 639.33px 639.33px;
  grid-auto-flow: column;
  /* margin-top: 200px; */
  width: 100%;
  height: 342px;
  background: #d9d9d9;
  border: 1px;
  border-style: solid;
  border-color: #707070;
  border-bottom: none;
}

.footer-left {
  width: 221px;
  height: auto;
  padding-top: 58.11px;
  padding-left: 209.16px;
  padding-right: 209.16px;
}

.footer-mid {
  width: 221px;
  height: auto;
  padding-top: 58.11px;
  padding-left: 209.16px;
  padding-right: 209.16px;
}

.footer-right {
  width: 419px;
  height: auto;
  padding-top: 58.11px;
  padding-left: 110.16px;
  padding-right: 110.16px;
}

.footer-headlines {
  font-family: normal normal bold 25px/30px Neue Haas Grotesk Display Pro;
  font-size: 26px;
  font-weight: bold;
  letter-spacing: 0px;
  opacity: 1;
  color: #6a17f1;
}

.footer-button {
  background: transparent;
  border: none;
  font-size: 20px;
  color: black;
}

.footer-button button {
  background: transparent;
  border: none;
  font-size: 20px;
  color: black;
}

.footer-button:hover {
  color: #6a17f1;
  cursor: pointer;
}

button:hover {
  color: #6a17f1;
  cursor: pointer;
}

.footer-grid ul {
  list-style: none;
  float: left;
}
.action {
  position: fixed;
  top: 20px;
  right: 30px;
}
.action,
.dropdownmenu {
  position: absolute;
  top: 80px;
  right: -10px;
  padding: 10px 20px;
  background: #fff;
  width: 200px;
  box-sizing: 0 5px 25px rgba(0, 0, 0, 0.1);
  border-radius: 15px;
  transition: 0.5s;
}
.action,
.menu::before {
  content: "";
  position: absolute;
  top: -5px;
  right: 28px;
  width: 20px;
  height: 20px;
  background: #fff;
}
